#import "DrawingViewController.h"
#import "MyGestureRecognizer.h"
#import "DrawingView.h"

@interface DrawingViewController ()

@end

@implementation DrawingViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

    MyGestureRecognizer* gesture = [[MyGestureRecognizer alloc] initWithTarget:self
                                                                        action:@selector(gesture:)];
    [self.view addGestureRecognizer:gesture];
}

- (void)gesture:(MyGestureRecognizer*)gesture
{
    DrawingView* view = (DrawingView*)self.view;
    switch (gesture.state) {
    case UIGestureRecognizerStateBegan: {
        CGPoint point = [gesture translationInView:self.view];
        [view moveToPoint:point];
        break;
    }
    case UIGestureRecognizerStateChanged:
    case UIGestureRecognizerStateEnded:
    case UIGestureRecognizerStateCancelled: {
        CGPoint point = [gesture translationInView:self.view];
        [view addLineToPoint:point];
        break;
    }
    default: {
        break;
    }
    }
}

- (NSUInteger)supportedInterfaceOrientations
{
    return UIInterfaceOrientationMaskPortrait;
}

@end
